"use strict";

var _ =
/*#__PURE__*/
require("../");

describe('applyIfFunction', function () {
  it('returns a value if value is not a function', function () {
    expect((0, _.applyIfFunction)('x', [])).toBe('x');
  });
  it('is curried', function () {
    expect((0, _.applyIfFunction)('x')([])).toBe('x');
  });
  it('returns an application of a function to arguments if value is a function', function () {
    expect((0, _.applyIfFunction)(function (x, y) {
      return x + y;
    }, [1, 2])).toBe(3);
  });
});