"use strict";

var _ =
/*#__PURE__*/
require("../");

describe('applyIfNotNil', function () {
  it('should call fn when exist', function () {
    var fn = jest.fn();
    (0, _.applyIfNotNil)(fn, []);
    expect(fn).toHaveBeenCalled();
  });
  it('should not call fn when undefined', function () {
    var fn = undefined;
    expect((0, _.applyIfNotNil)(fn, [])).toBe(null);
  });
  it('should call fn with arguments', function () {
    var fn = jest.fn();
    (0, _.applyIfNotNil)(fn, [1, 2, 3]);
    expect(fn).toHaveBeenCalledWith(1, 2, 3);
  });
  it('should return result from fn', function () {
    var fn = jest.fn(function (arg) {
      return arg;
    });
    expect((0, _.applyIfNotNil)(fn, [1])).toBe(1);
  });
  it('should support currying', function () {
    var fn = jest.fn();
    var curry = (0, _.applyIfNotNil)(fn);
    curry([6, 2]);
    expect(fn).toHaveBeenCalledWith(6, 2);
  });
});