"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

var _ramda =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("ramda"));

var _ =
/*#__PURE__*/
require("../");

var notFalse =
/*#__PURE__*/
_ramda.default.complement(_ramda.default.equals)(false);

describe('dispatchWith', function () {
  it('should return first not false result', function () {
    expect((0, _.dispatchWith)(notFalse, [_ramda.default.F, _ramda.default.identity, _ramda.default.F])(3)).toBe(3);
  });
  it('should be variadic', function () {
    expect((0, _.dispatchWith)(notFalse, [function (a, b) {
      return a + b;
    }, _ramda.default.F])(3, 2)).toBe(5);
  });
  it('should be curried', function () {
    expect((0, _.dispatchWith)(notFalse)([function (a, b) {
      return a + b;
    }, _ramda.default.F])(3, 2)).toBe(5);
  });
  it('should return undefined', function () {
    expect((0, _.dispatchWith)(notFalse, [_ramda.default.F, _ramda.default.identity, _ramda.default.F])(false)).toBe(undefined);
  });
});