"use strict";

var _ =
/*#__PURE__*/
require("../");

describe('ensureArray', function () {
  it('should be defined', function () {
    expect(_.ensureArray).toBeDefined();
  });
  it('should wrap non-arrays in an array', function () {
    expect((0, _.ensureArray)('A string yo.')).toEqual(['A string yo.']);
    expect((0, _.ensureArray)({
      consoleLog: 'yo'
    })).toEqual([{
      consoleLog: 'yo'
    }]);
    expect((0, _.ensureArray)(true)).toEqual([true]);
    expect((0, _.ensureArray)(undefined)).toEqual([undefined]);
  });
  it('should keep arrays as is', function () {
    expect((0, _.ensureArray)(['an array item yo.'])).toEqual(['an array item yo.']);
    expect((0, _.ensureArray)([['yoNestedArrayItem']])).toEqual([['yoNestedArrayItem']]);
  });
});