"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

var _searchInArray =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("../searchInArray"));

var searchFor = 'hi';
describe('searchInArrayWith', function () {
  it('should search in array of primitives', function () {
    expect((0, _searchInArray.default)(searchFor, ['1', 2, 'hia'])).toEqual(['hia']);
  });
  it('should search in array of objects and primitives', function () {
    expect((0, _searchInArray.default)(searchFor, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }])).toEqual(['hi', {
      foo: 'hi'
    }]);
  });
  it('should search in array of objects and nested objects', function () {
    expect((0, _searchInArray.default)(/h./, ['hi', {
      foo: 'baahor'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }])).toEqual(['hi', {
      foo: 'baahor'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }]);
  });
  it('should search in array of objects and nested arrays', function () {
    expect((0, _searchInArray.default)(searchFor, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]])).toEqual(['hi', {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]]);
  });
});