"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

var _ramda =
/*#__PURE__*/
require("ramda");

var _searchInArrayWith =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("../searchInArrayWith"));

var searchFn =
/*#__PURE__*/
(0, _ramda.equals)('hi');
describe('searchInArrayWith', function () {
  it('should search in array of primitives', function () {
    expect((0, _searchInArrayWith.default)(searchFn, ['1', 2, 'hi'])).toEqual(['hi']);
  });
  it('should search in array of objects and primitives', function () {
    expect((0, _searchInArrayWith.default)(searchFn, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }])).toEqual(['hi', {
      foo: 'hi'
    }]);
  });
  it('should search in array of objects and nested objects', function () {
    expect((0, _searchInArrayWith.default)(searchFn, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }])).toEqual(['hi', {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }]);
  });
  it('should search in array of objects and nested arrays', function () {
    expect((0, _searchInArrayWith.default)(searchFn, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]])).toEqual(['hi', {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]]);
  });
});