"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

/**
 * For not-nil string returns string where every single word starts with a capital letter.
 *
 * @func
 * @category String
 *
 * @param {any} x Any string
 * @return {any} String where every word starts with upper-case letter
 *
 * @example
 *
 *        R_.capitalizeAll('seek and destroy') // Seek And Destroy
 *        R_.capitalizeAll('Seek And Destroy') // Seek And Destroy
 *        R_.capitalizeAll(null) // null
 *        R_.capitalizeAll(undefined) // undefined
 *
 * @sig String -> String
 */
var capitalizeAll =
/*#__PURE__*/
(0, _ramda.unless)(_ramda.isNil,
/*#__PURE__*/
(0, _ramda.replace)(/(\b\w(?!\s))/g, _ramda.toUpper));
var _default = capitalizeAll;
exports.default = _default;