"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

/**
 * For not-nil string returns string which starts with capital (upper-case) letter.
 *
 * @func
 * @category String
 *
 * @param {any} x Any string
 * @return {any} String starting with upper-case letter
 *
 * @example
 *
 *        R_.capitalizeFirst('metallica') // Metallica
 *        R_.capitalizeFirst('Metallica') // Metallica
 *        R_.capitalizeFirst(null) // null
 *        R_.capitalizeFirst(undefined) // undefined
 *
 * @sig String -> String
 */
var capitalizeFirst =
/*#__PURE__*/
(0, _ramda.unless)(_ramda.isNil,
/*#__PURE__*/
(0, _ramda.replace)(/^./, _ramda.toUpper));
var _default = capitalizeFirst;
exports.default = _default;