"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _flattenArgs =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./flattenArgs"));

var _joinWithSpace =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./joinWithSpace"));

var _isObject =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isObject"));

var _isString =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isString"));

var _isNumber =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isNumber"));

var filterFalsy =
/*#__PURE__*/
(0, _ramda.filter)(_ramda.identity);
var keepObjectStringNumber =
/*#__PURE__*/
(0, _ramda.filter)(
/*#__PURE__*/
(0, _ramda.anyPass)([_isObject.default, _isString.default, _isNumber.default]));
var keepKeyIfValueIsTruthy =
/*#__PURE__*/
(0, _ramda.mapObjIndexed)(function (v, k) {
  return v && k;
});
var destructObject =
/*#__PURE__*/
(0, _ramda.compose)(filterFalsy, _ramda.values, keepKeyIfValueIsTruthy);
var transduceArgs =
/*#__PURE__*/
(0, _ramda.into)([],
/*#__PURE__*/
(0, _ramda.compose)(
/*#__PURE__*/
(0, _ramda.map)(
/*#__PURE__*/
(0, _ramda.when)(_isObject.default, destructObject)), keepObjectStringNumber, filterFalsy));
/**
 * Conditionally joining classNames together.
 *
 * The cx function takes any number of arguments which can be a string, object
 * even nested arrays of strings and objects.
 *
 * The argument 'foo' is short for { foo: true }.
 *
 * If the value associated with a given key is falsy, that key won't be included in the output.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.cx('Table', ['MagicTable'], {'Table--active': true })	// 'Table MagicTable Table--active'
 *        R_.cx('Table', ['MagicTable'], {'Table--active': false })	// 'Table MagicTable'
 *        R_.cx(['Table', ['MagicTable']])				// 'Table MagicTable'
 *
 * @sig String | [String] | Object -> String
 */

var cx =
/*#__PURE__*/
(0, _ramda.compose)(_joinWithSpace.default, _ramda.flatten, transduceArgs, _flattenArgs.default);
var _default = cx;
exports.default = _default;