"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _argumentsToList =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./argumentsToList"));

var _equalsLength =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsLength"));

var _overHead =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./overHead"));

var pipe4 =
/*#__PURE__*/
(0, _ramda.curryN)(4, _ramda.pipe);
var pipe2 =
/*#__PURE__*/
(0, _ramda.curryN)(2, _ramda.pipe);
var call3 =
/*#__PURE__*/
(0, _ramda.curryN)(3, _ramda.call);
var mapOrphans =
/*#__PURE__*/
(0, _ramda.o)(_ramda.map,
/*#__PURE__*/
(0, _ramda.when)(
/*#__PURE__*/
(0, _equalsLength.default)(1)));
var prependUndefined =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
mapOrphans(
/*#__PURE__*/
(0, _ramda.prepend)(undefined)), _ramda.transpose);
var appendUndefined =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
mapOrphans(
/*#__PURE__*/
(0, _ramda.append)(undefined)), _ramda.transpose);
var mapLength =
/*#__PURE__*/
(0, _ramda.map)(_ramda.length);
var inputIsSameAsDefault =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.apply)(_ramda.equals), mapLength);
var inputIsBigger =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.apply)(_ramda.lt), mapLength);
var inputIsSmaller =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.apply)(_ramda.gt), mapLength);
var transposeAndFillMissing =
/*#__PURE__*/
(0, _ramda.cond)([[inputIsSameAsDefault, _ramda.transpose], [inputIsBigger, prependUndefined], [inputIsSmaller, appendUndefined]]);
var makeDefaultArgs =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.apply)(_ramda.call),
/*#__PURE__*/
(0, _overHead.default)(_ramda.defaultTo));
var transformationPipe =
/*#__PURE__*/
pipe4(_argumentsToList.default, transposeAndFillMissing,
/*#__PURE__*/
(0, _ramda.map)(makeDefaultArgs));
var createTransformationPipeWithSuppliedFn =
/*#__PURE__*/
(0, _ramda.o)(call3,
/*#__PURE__*/
(0, _ramda.o)(transformationPipe, _ramda.apply));
var waitForArguments =
/*#__PURE__*/
pipe2(_argumentsToList.default);
var callInputsAndWaitForArguments =
/*#__PURE__*/
(0, _ramda.pipe)(_ramda.call, waitForArguments);
/**
 * Creates default arguments for given function
 *
 * @func
 * @category Function
 *
 * @example
 *
 *        R_.defaultArgs(['a', 'b'], R.concat)(undefined, 'c') // ac
 *
 */

var defaultArgs =
/*#__PURE__*/
(0, _ramda.useWith)(
/*#__PURE__*/
(0, _ramda.flip)(callInputsAndWaitForArguments), [_ramda.identity, createTransformationPipeWithSuppliedFn]);
var _default = defaultArgs;
exports.default = _default;