"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _splitByDot =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByDot"));

var _argumentsToList =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./argumentsToList"));

var _overHead =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./overHead"));

/**
 * Makes a shallow clone of an object, omitting the property at the given dot path.
 * Note that this copies and flattens
 * prototype properties onto the new object as well. All non-primitive properties are copied by reference.
 *
 * @func
 * @category Object
 *
 * @param {String} path The dot path to the value to omit
 * @param {Object} obj The object to clone
 * @return {Object} A new object without the property at path
 * @example
 *
 *      R_.dissocDotPath('a.b.c', {a: {b: {c: 42}}}); //=> {a: {b: {}}}
 */
var dissocDotPath =
/*#__PURE__*/
(0, _ramda.curryN)(2,
/*#__PURE__*/
(0, _ramda.compose)(
/*#__PURE__*/
(0, _ramda.apply)(_ramda.dissocPath),
/*#__PURE__*/
(0, _overHead.default)(_splitByDot.default), _argumentsToList.default));
var _default = dissocDotPath;
exports.default = _default;