"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _splitByDot =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByDot"));

/**
 * Retrieve the value at a given dot path.
 *
 * @func
 * @category Object
 * @param {String} path The dot path to use.
 * @param {Object} obj The object to retrieve the nested property from.
 * @return {*} The data at `path`.
 *
 * @example
 *
 *      R_.dotPath('a.b', {a: {b: 2}}); //=> 2
 *      R_.dotPath('a.b', {c: {b: 2}}); //=> undefined
 *
 */
var dotPath =
/*#__PURE__*/
(0, _ramda.useWith)(_ramda.path, [_splitByDot.default, _ramda.identity]);
var _default = dotPath;
exports.default = _default;