"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _constructRegExp =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./constructRegExp"));

var getRegExp_ =
/*#__PURE__*/
(0, _ramda.useWith)(
/*#__PURE__*/
(0, _ramda.flip)(_constructRegExp.default)('gi'), [
/*#__PURE__*/
(0, _ramda.flip)(_ramda.concat)('$')]);
/**
 * Testing string if ends with some suffix.
 *
 * @func
 * @category String
 *
 * @param  {string} suffix
 * @param  {string} x
 * @return {boolean}          True if `x` ends with `suffix`
 *
 * @example
 *
 *        R_.endsWithSuffix('o', 'hello')		// true
 *        R_.endsWithSuffix('ello', 'hello')	// true
 *        R_.endsWithSuffix('y', 'good bye')	// false
 *
 * @sig a -> b -> Boolean
 */

var endsWithSuffix =
/*#__PURE__*/
(0, _ramda.useWith)(_ramda.test, [getRegExp_, _ramda.identity]);
var _default = endsWithSuffix;
exports.default = _default;