"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _lengthUtils =
/*#__PURE__*/
require("./internal/lengthUtils");

/**
 * Returns true if length of array equals first argument
 *
 * @func
 * @category List
 *
 * @example
 *
 *        const lengthEqualsOne = R_.equalsLength(1)
 *        lengthEqualsOne([{}])	// true
 *        lengthEqualsOne([])	// false
 *
 * @sig Number -> [a] -> Boolean
 */
var equalsLength =
/*#__PURE__*/
(0, _lengthUtils.compareLength)(_ramda.equals);
var _default = equalsLength;
exports.default = _default;