"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _primitives =
/*#__PURE__*/
require("./internal/primitives");

/**
 * Testing if argument equals to empty array.
 *
 * @func
 * @category Relation
 *
 * @param  {any} value
 * @return {boolean} True if `value` is empty array.
 *
 * @example
 *
 *        R_.equalsToEmptyArray([])	// true
 *        R_.equalsToEmptyArray([''])	// false
 *
 * @sig a -> Boolean
 */
var equalsToEmptyArray =
/*#__PURE__*/
(0, _ramda.equals)(_primitives.emptyArray);
var _default = equalsToEmptyArray;
exports.default = _default;