"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _primitives =
/*#__PURE__*/
require("./internal/primitives");

/**
 * Testing if argument equals to empty object.
 *
 * @func
 * @category Relation
 *
 * @param  {any} value
 * @return {boolean} True if `value` is empty object.
 *
 * @example
 *
 *        R_.equalsToEmptyObject({})	// true
 *        R_.equalsToEmptyObject('')	// false
 *
 * @sig a -> Boolean
 */
var equalsToEmptyObject =
/*#__PURE__*/
(0, _ramda.equals)(_primitives.emptyObject);
var _default = equalsToEmptyObject;
exports.default = _default;