"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _primitives =
/*#__PURE__*/
require("./internal/primitives");

/**
 * Testing if argument equals to ''
 *
 * @func
 * @category Relation
 *
 * @param  {any} value
 * @return {boolean} True if `value` is empty string
 *
 * @example
 *
 *        R_.equalsToEmptyString('')	// true
 *        R_.equalsToEmptyString('hi')	// false
 *
 * @sig a -> Boolean
 */
var equalsToEmptyString =
/*#__PURE__*/
(0, _ramda.equals)(_primitives.emptyString);
var _default = equalsToEmptyString;
exports.default = _default;