"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _lengthUtils =
/*#__PURE__*/
require("./internal/lengthUtils");

/**
 * Returns true if length of array is smaller than first argument
 *
 * @func
 * @category List
 *
 * @example
 *
 *        const lengthSmallerThanTwo = R_.gtThanLength(2)
 *        lengthSmallerThanTwo([{}])	// true
 *        lengthSmallerThanTwo([{},{}])	// false
 *
 * @sig Number -> [a] -> Boolean
 */
var gtThanLength =
/*#__PURE__*/
(0, _lengthUtils.compareLength)(_ramda.gt);
var _default = gtThanLength;
exports.default = _default;