"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _notNil =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./notNil"));

var _isObject =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isObject"));

/**
 * Returns true if argument is not nil object.
 *
 * @func
 * @category Logic
 *
 * @example
 *
 *        R_.isNotNilObject({})		// true
 *        R_.isNotNilObject([])		// true
 *        R_.isNotNilObject(() => {})	// true
 *        R_.isNotNilObject(null)		// false
 *        R_.isNotNilObject()		// false
 *        R_.isNotNilObject(1)		// false
 *        R_.isNotNilObject("")		// false
 *
 * @sig a -> Boolean
 *
 */
var isNotNilObject =
/*#__PURE__*/
(0, _ramda.allPass)([_notNil.default, _isObject.default]);
var _default = isNotNilObject;
exports.default = _default;