"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _isNotNil =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isNotNil"));

/**
 * Returns true if the argument is a plain object.
 *
 * @func
 * @category Type
 *
 * @param {any} x value to test
 * @return {boolean} whether the argument is a plain object
 *
 * @example
 *
 *        R_.isPlainObject({}) // true
 *        R_.isPlainObject([]) // false
 *        R_.isPlainObject(null) // false
 *
 * @sig a -> Boolean
 */
var isPlainObject =
/*#__PURE__*/
(0, _ramda.allPass)([
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.equals)('Object'), _ramda.type), _isNotNil.default,
/*#__PURE__*/
(0, _ramda.either)(
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.equals)(Object.prototype), Object.getPrototypeOf),
/*#__PURE__*/
// NOTE: prototype is null if created using Object.create(null)
(0, _ramda.o)(_ramda.isNil, Object.getPrototypeOf))]);
var _default = isPlainObject;
exports.default = _default;