"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _isFunction =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isFunction"));

var _isObject =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isObject"));

/**
 * Returns true if argument is Promise.
 *
 * @func
 * @category Type
 *
 * @example
 *
 *        R_.isPromise(Promise.resolve()) // true
 *    R_.isPromise(0) // false
 *
 * @sig a -> Boolean
 *
 */
var isPromise =
/*#__PURE__*/
(0, _ramda.allPass)([_isObject.default,
/*#__PURE__*/
(0, _ramda.o)(_isFunction.default,
/*#__PURE__*/
(0, _ramda.prop)('then'))]);
var _default = isPromise;
exports.default = _default;