"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _lengthUtils =
/*#__PURE__*/
require("./internal/lengthUtils");

/**
 * Returns true if length of array is bigger than first argument
 *
 * @func
 * @category List
 *
 * @example
 *
 *        const lengthBiggerThanZero = R_.ltThanLength(0)
 *        lengthBiggerThanZero([{}])	// true
 *        lengthBiggerThanZero([])	// false
 *
 * @sig Number -> [a] -> Boolean
 */
var ltThanLength =
/*#__PURE__*/
(0, _lengthUtils.compareLength)(_ramda.lt);
var _default = ltThanLength;
exports.default = _default;