"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _overHead =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./overHead"));

var _mapKeysAndValues =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./mapKeysAndValues"));

/**
 * Use map function over the keys of the given object
 *
 * @func
 * @category Object
 * @param {Function} fn The function to be called on every key of the input object.
 * @param {Array} obj The object to be iterated over.
 * @return {Array} The new object with mapped keys.
 *
 * @example
 *
 *      R_.mapKeys(R_.toUpperFirst, {x: 1, y: 2, z: 3}); //=> {X: 2, Y: 4, Z: 6}
 *
 */
var mapKeys =
/*#__PURE__*/
(0, _ramda.useWith)(_mapKeysAndValues.default, [_overHead.default, _ramda.identity]);
var _default = mapKeys;
exports.default = _default;