"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _mapKeysAndValues =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./mapKeysAndValues"));

var wrapMapping =
/*#__PURE__*/
(0, _ramda.compose)(_ramda.juxt,
/*#__PURE__*/
(0, _ramda.flip)(_ramda.prepend)([_ramda.last]), _ramda.apply);
/**
 * Map object keys. Mapping functions have both key and value as arguments.
 *
 * @func
 * @category Object
 *
 * @example
 *
 *      R_.mapKeysWithValue((key, value) => value)({ foo: "bar" }) // { bar: "bar" }
 *
 * @sig ((String, a) -> b) -> Object -> Object
 */

var mapKeysWithValue =
/*#__PURE__*/
(0, _ramda.useWith)(_mapKeysAndValues.default, [wrapMapping, _ramda.identity]);
var _default = mapKeysWithValue;
exports.default = _default;