"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _dotPath =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./dotPath"));

var _assocDotPath =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./assocDotPath"));

var _headArg =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./headArg"));

var _lastArg =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./lastArg"));

var resolveDotPath =
/*#__PURE__*/
(0, _ramda.converge)(_dotPath.default, [_headArg.default, _lastArg.default]);
var performMerge =
/*#__PURE__*/
(0, _ramda.converge)(_ramda.call, [
/*#__PURE__*/
(0, _ramda.nthArg)(1), resolveDotPath,
/*#__PURE__*/
(0, _ramda.nthArg)(2)]);
/**
 * Merge data in object using custom merge fn.
 *
 * @func
 * @category Object
 *
 * @param {String} path The dot path to the value
 * @param {Function} mergeFn The merging function
 * @param {*} value Value to merge
 * @param {Object} obj The object to clone
 * @return {Object} A new object with merge data
 * @example
 *
 *      R_.mergeWithDotPath('a.b', R.merge, { d: 30 }, {a: {b: { c: 20 }}}); //=> {a: {b: { c: 20, d: 30 }}}
 */

var mergeWithDotPath =
/*#__PURE__*/
(0, _ramda.converge)(_assocDotPath.default, [_headArg.default, performMerge, _lastArg.default]);
var _default = mergeWithDotPath;
exports.default = _default;