"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToEmptyArray =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToEmptyArray"));

/**
 * Returns true if value is not equal to empty array.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not an empty array.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToEmptyArray([]);   // false
 *        R_.notEqualToEmptyArray([{ ramda: true }]);   // true
 *
 */
var notEqualToEmptyArray =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToEmptyArray.default);
var _default = notEqualToEmptyArray;
exports.default = _default;