"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToEmptyObject =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToEmptyObject"));

/**
 * Returns true if value is not equal to empty object.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not an empty object.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToEmptyObject({});   // false
 *        R_.notEqualToEmptyObject({ ramda: true });   // true
 *
 */
var notEqualToEmptyObject =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToEmptyObject.default);
var _default = notEqualToEmptyObject;
exports.default = _default;