"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToEmptyString =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToEmptyString"));

/**
 * Returns true if value is not equal to empty string.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not an empty string.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToEmptyString("");   // false
 *        R_.notEqualToEmptyString("Ramda");   // true
 *
 */
var notEqualToEmptyString =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToEmptyString.default);
var _default = notEqualToEmptyString;
exports.default = _default;