"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToFalse =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToFalse"));

/**
 * Returns true if value is not equal to false.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not false.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToFalse(false);   // false
 *        R_.notEqualToFalse(true);   // true
 *
 */
var notEqualToFalse =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToFalse.default);
var _default = notEqualToFalse;
exports.default = _default;