"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToNull =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToNull"));

/**
 * Returns true if value is not equal to null.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not null.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToNull(null);   // false
 *        R_.notEqualToNull(false);   // true
 *
 */
var notEqualToNull =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToNull.default);
var _default = notEqualToNull;
exports.default = _default;