"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToOne =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToOne"));

/**
 * Returns true if value is not equal to number one.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not number one.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToOne(1);   // false
 *        R_.notEqualToOne(0);   // true
 *
 */
var notEqualToOne =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToOne.default);
var _default = notEqualToOne;
exports.default = _default;