"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToTrue =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToTrue"));

/**
 * Returns true if value is not equal to true.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not true.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToTrue(true);   // false
 *        R_.notEqualToTrue(false);   // true
 *
 */
var notEqualToTrue =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToTrue.default);
var _default = notEqualToTrue;
exports.default = _default;