"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _equalsToZero =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./equalsToZero"));

/**
 * Returns true if value is not equal to zero.
 *
 * @func
 * @category Relation
 * @param {any} value
 * @returns {Boolean} Returns `true` if `value` is not zero.
 *
 * @sig a -> Boolean
 *
 * @example
 *
 *        R_.notEqualToZero(0);   // false
 *        R_.notEqualToZero(1);   // true
 *
 */
var notEqualToZero =
/*#__PURE__*/
(0, _ramda.complement)(_equalsToZero.default);
var _default = notEqualToZero;
exports.default = _default;