"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _padLeftUntil =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./padLeftUntil"));

var _lteThanLength =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./lteThanLength"));

/**
 * Length of the output string, `padString` and initial value.
 * `padString` is repeatedly concated to `init` until the length of the string is equal to `lengthString`.
 *
 * @param {number} lengthString Length of the output string.
 * @param {string} padString
 * @param {string} init Intitial value
 * @see padRight, padLeftUntil, padRightUntil
 *
 * @return String
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.padLeft(10, '0')('1') // '00000000001'
 *        R_.padLeft(-9, '0')('1') // '1'
 *        R_.padLeft(1, '0')('1') // '1'
 *
 * @sig Number -> a -> a
 */
var padLeft =
/*#__PURE__*/
(0, _ramda.useWith)(_padLeftUntil.default, [_lteThanLength.default, _ramda.identity, _ramda.identity]);
var _default = padLeft;
exports.default = _default;