"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _padRightUntil =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./padRightUntil"));

var _lteThanLength =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./lteThanLength"));

/**
 * Length of the output string, `padString` and initial value.
 * `padString` is repeatedly appended to the `init` until the length of the string is equal to `lengthString`.
 *
 * @param {number} lengthString Length of the output string.
 * @param {string} padString
 * @param {string} init Intitial value
 * @see padLeft, padRightUntil, padRightUntil
 *
 * @return String
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.padRight(10, '0')('1') // '10000000000'
 *        R_.padRight(-9, '0')('1') // '1'
 *        R_.padRight(1, '0')('1') // '1'
 *
 * @sig Number -> a -> a
 */
var padRight =
/*#__PURE__*/
(0, _ramda.useWith)(_padRightUntil.default, [_lteThanLength.default, _ramda.identity, _ramda.identity]);
var _default = padRight;
exports.default = _default;