"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

/**
 * Filters out every value in a list that equals to first argument.
 *
 * @func
 * @category List
 *
 * @example
 *
 * 		R_.rejectEq('foo', ['foo', 'bar', 'foo', 'bar']); // ['bar', 'bar']
 *
 * @sig a -> [b] -> [c]
 *
 */
var rejectEq =
/*#__PURE__*/
(0, _ramda.useWith)(_ramda.reject, [_ramda.equals, _ramda.identity]);
var _default = rejectEq;
exports.default = _default;