"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _searchInArrayWith =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./searchInArrayWith"));

var _isRegExp =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./isRegExp"));

var _constructRegExp =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./constructRegExp"));

var insensitiveReqExp =
/*#__PURE__*/
(0, _constructRegExp.default)(_ramda.__, 'gi');
var testRegexp =
/*#__PURE__*/
(0, _ramda.o)(_ramda.test,
/*#__PURE__*/
(0, _ramda.unless)(_isRegExp.default, insensitiveReqExp));
/**
 * Perform fulltext search with given search function.
 *
 * @func
 * @category Array
 *
 * @param  {Array} searchFn
 * @param  {Array} value
 * @return {Array} filtered array of values
 *
 * @example
 *
 *        R_.searchInArrayWith(R.contains('hi'),[
 *				'hi',
 *				{ foo: 'bar' },
 *				{ foo: 'hi' },
 *				{
 *					foo: {
 *						bar: ['cuuus', { foo: 'hi' }],
 *					},
 *				},
 *				['haha', 'hi'],
 *				['haha', { foo: 'hi' }],
 *			]);
 *			// [
 *			// 'hi',
 *			// { foo: 'hi' },
 *			// {
 *			//	foo: {
 *			//		bar: ['cuuus', { foo: 'hi' }],
 *			//	},
 *			// },
 *			// ['haha', 'hi'],
 *			// ['haha', { foo: 'hi' }],
 *			// ]
 *
 */

var searchInArray =
/*#__PURE__*/
(0, _ramda.useWith)(_searchInArrayWith.default, [testRegexp, _ramda.identity]);
var _default = searchInArray;
exports.default = _default;