"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _flattenValues =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./flattenValues"));

var pipe2 =
/*#__PURE__*/
(0, _ramda.curryN)(2, _ramda.pipe);
var useFilterFnAndWaitForValues =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
pipe2(_flattenValues.default), _ramda.any);
/**
 * Perform fulltext search with given search function.
 *
 * @func
 * @category Array
 *
 * @param  {Array} searchFn
 * @param  {Array} value
 * @return {Array} filtered array of values
 *
 * @example
 *
 *        R_.searchInArrayWith(R.contains('hi'),[
 *				'hi',
 *				{ foo: 'bar' },
 *				{ foo: 'hi' },
 *				{
 *					foo: {
 *						bar: ['cuuus', { foo: 'hi' }],
 *					},
 *				},
 *				['haha', 'hi'],
 *				['haha', { foo: 'hi' }],
 *			]);
 *			// [
 *			// 'hi',
 *			// { foo: 'hi' },
 *			// {
 *			//	foo: {
 *			//		bar: ['cuuus', { foo: 'hi' }],
 *			//	},
 *			// },
 *			// ['haha', 'hi'],
 *			// ['haha', { foo: 'hi' }],
 *			// ]
 *
 */

var searchInArrayWith =
/*#__PURE__*/
(0, _ramda.useWith)(
/*#__PURE__*/
(0, _ramda.flip)(_ramda.call), [useFilterFnAndWaitForValues,
/*#__PURE__*/
(0, _ramda.flip)(_ramda.filter)]);
var _default = searchInArrayWith;
exports.default = _default;