"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _nonAlphaNumericRegExp =
/*#__PURE__*/
require("./internal/nonAlphaNumericRegExp");

var _primitives =
/*#__PURE__*/
require("./internal/primitives");

/**
 * Splits string into list. Delimiter is every sequence of non-alphanumerical values.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.splitByNonAlphaNumeric('Hello    world/1'); // ['Hello', 'world', '1']
 *
 * @sig String -> [String]
 *
 */
var splitByNonAlphaNumeric =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.reject)(
/*#__PURE__*/
(0, _ramda.equals)(_primitives.emptyString)),
/*#__PURE__*/
(0, _ramda.split)(_nonAlphaNumericRegExp.nonAlphaNumericRegExp));
var _default = splitByNonAlphaNumeric;
exports.default = _default;