"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _constructRegExp =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./constructRegExp"));

var getRegExp_ =
/*#__PURE__*/
(0, _ramda.useWith)(
/*#__PURE__*/
(0, _ramda.flip)(_constructRegExp.default)('gi'), [
/*#__PURE__*/
(0, _ramda.concat)('^')]);
/**
 * Testing string if starts with some prefix.
 *
 * @func
 * @category String
 *
 * @param  {string} prefix
 * @param  {string} x
 * @return {boolean} True if `x` starts with `prefix`
 *
 * @example
 *
 *        R_.startsWithPrefix('h', 'hello')	// true
 *        R_.startsWithPrefix('hell', 'hello')	// true
 *        R_.startsWithPrefix('h', 'good bye')	// false
 *
 * @sig a -> b -> Boolean
 */

var startsWithPrefix =
/*#__PURE__*/
(0, _ramda.useWith)(_ramda.test, [getRegExp_, _ramda.identity]);
var _default = startsWithPrefix;
exports.default = _default;