"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _toPascalCase =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./toPascalCase"));

var _toLowerFirst =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./toLowerFirst"));

/**
 * Converts string into camelCase.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toCamelCase('hello-world')		// 'helloWorld'
 *        R_.toCamelCase('hello- world')		// 'helloWorld'
 *        R_.toCamelCase('  hello-/ world/ ')	// 'helloWorld'
 *
 * @sig String -> String
 *
 */
var toCamelCase =
/*#__PURE__*/
(0, _ramda.o)(_toLowerFirst.default, _toPascalCase.default);
var _default = toCamelCase;
exports.default = _default;