"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _splitByNonAlphaNumeric =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByNonAlphaNumeric"));

var _joinWithDot =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./joinWithDot"));

/**
 * Converts string into dot.case.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toDotCase('hello-world')		// 'hello.world'
 *        R_.toDotCase('hello/*? world')		// 'hello.world'
 *        R_.toDotCase('  hello -/ world/ ')	// 'hello.world'
 *
 * @sig String -> String
 */
var toDotCase =
/*#__PURE__*/
(0, _ramda.o)(_joinWithDot.default,
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.map)(_ramda.toLower), _splitByNonAlphaNumeric.default));
var _default = toDotCase;
exports.default = _default;