"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

/**
 * Creates array of entries from object.
 *
 * @func
 * @category Object
 *
 * @param {any} object
 * @return {Array} Description
 *
 * @example
 *
 *        R_.toEntries({ a: "b", c: "d" }) // [{ a: "b" }, { c: "d" }]
 *
 * @sig {String: a, ...} -> [{String: a}]
 */
var toEntries =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.map)(
/*#__PURE__*/
(0, _ramda.apply)(_ramda.objOf)), _ramda.toPairs);
var _default = toEntries;
exports.default = _default;