"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _splitByNonAlphaNumeric =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByNonAlphaNumeric"));

var _joinWithDash =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./joinWithDash"));

/**
 * Converts string into kebab-case.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toKebabCase('hello-world')		// 'hello-world'
 *        R_.toKebabCase('hello- world')		// 'hello-world'
 *        R_.toKebabCase('  hello-/ world/ ')	// 'hello-world'
 *
 * @sig String -> String
 */
var toKebabCase =
/*#__PURE__*/
(0, _ramda.o)(_joinWithDash.default,
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.map)(_ramda.toLower), _splitByNonAlphaNumeric.default));
var _default = toKebabCase;
exports.default = _default;