"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _splitByNonAlphaNumeric =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByNonAlphaNumeric"));

var _toUpperFirst =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./toUpperFirst"));

var _listToString =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./listToString"));

/**
 * Converts string into PascalCase.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toPascalCase('hello-world')		// 'HelloWorld'
 *        R_.toPascalCase('hello- world')		// 'HelloWorld'
 *        R_.toPascalCase('  hello-/ world/ ')	// 'HelloWorld'
 *
 * @sig String -> String
 */
var toPascalCase =
/*#__PURE__*/
(0, _ramda.o)(_listToString.default,
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.map)(_toUpperFirst.default), _splitByNonAlphaNumeric.default));
var _default = toPascalCase;
exports.default = _default;