"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _splitByNonAlphaNumeric =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByNonAlphaNumeric"));

var _joinWithUnderscore =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./joinWithUnderscore"));

/**
 * Converts string into SCREAMING_SNAKE_CASE.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toScreamingSnakeCase('hello-world')		// 'HELLO_WORLD'
 *        R_.toScreamingSnakeCase('hello- world')		// 'HELLO_WORLD'
 *        R_.toScreamingSnakeCase('  hello-/ world/ ')	// 'HELLO_WORLD'
 *
 * @sig String -> String
 */
var toScreamingSnakeCase =
/*#__PURE__*/
(0, _ramda.o)(_joinWithUnderscore.default,
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.map)(_ramda.toUpper), _splitByNonAlphaNumeric.default));
var _default = toScreamingSnakeCase;
exports.default = _default;