"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _splitByNonAlphaNumeric =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByNonAlphaNumeric"));

var _joinWithUnderscore =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./joinWithUnderscore"));

/**
 * Converts string into snake_case.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toSnakeCase('hello-world')		// 'hello_world'
 *        R_.toSnakeCase('hello- world')		// 'hello_world'
 *        R_.toSnakeCase('  hello-/ world/ ')	// 'hello_world'
 *
 * @sig String -> String
 */
var toSnakeCase =
/*#__PURE__*/
(0, _ramda.o)(_joinWithUnderscore.default,
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.map)(_ramda.toLower), _splitByNonAlphaNumeric.default));
var _default = toSnakeCase;
exports.default = _default;