"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _argumentsToList =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./argumentsToList"));

var equalsAndAlways =
/*#__PURE__*/
(0, _ramda.useWith)(_argumentsToList.default, [_ramda.equals, _ramda.always]);
/**
 * Returns the opposite value comparing against a given set of two values.
 *
 * @func
 * @category Function
 *
 * @param {Array} options - must be array of two items
 * @param {*} val
 * @return {*} opposite of options
 * @example
 *
 *      R_.toggle('on', 'off')('on'); //  'off'
 *      R_.toggle('active', 'inactive')('inactive'); // 'active'
 *      R_.toggle(10, 100)(10); // 100
 *      R_.toggle('on', 'off')('other'); // 'other'
 */

var toggle =
/*#__PURE__*/
(0, _ramda.compose)(_ramda.cond,
/*#__PURE__*/
(0, _ramda.juxt)([equalsAndAlways,
/*#__PURE__*/
(0, _ramda.flip)(equalsAndAlways),
/*#__PURE__*/
(0, _ramda.always)([_ramda.T, _ramda.identity])]));
var _default = toggle;
exports.default = _default;