"use strict";

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

/**
 * Function with side-effect. Logs input to console and returns that input.
 * Similar to "log" but allows to label logged value. Should be used only in development.
 *
 * @func
 * @category Debugging
 *
 * @sig a -> b -> b
 *
 * @example
 *
 *        compose(calculation2, R_.trace('Page A'), calculation1); // logs "Page A" and result of calculation1
 *
 */
var trace =
/*#__PURE__*/
(0, _ramda.useWith)(_ramda.tap, [
/*#__PURE__*/
(0, _ramda.curryN)(2, console.log), _ramda.identity]);
var _default = trace;
exports.default = _default;