"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _applyCompose =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./applyCompose"));

var _splitByDot =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./splitByDot"));

var _mergeDeepRightAll =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./mergeDeepRightAll"));

/**
 * Unfolds input object by dot delimetered path inside its keys.
 *
 * @func
 * @category Object
 *
 * @example
 *
 *        R_.unfoldObjectDots({'a.b.c': 1, 'd.e.f': 2, 'g': 3})
 *        // {a: {b: {c: 1}}, d: {e: {f: 2}}, g: 3}
 *
 * @sig Object -> Object
 */
var unfoldObjectDots =
/*#__PURE__*/
(0, _ramda.o)(
/*#__PURE__*/
(0, _ramda.o)(_mergeDeepRightAll.default, _ramda.values),
/*#__PURE__*/
(0, _ramda.mapObjIndexed)(
/*#__PURE__*/
(0, _ramda.useWith)(
/*#__PURE__*/
(0, _ramda.flip)(_ramda.call), [_ramda.identity,
/*#__PURE__*/
(0, _ramda.compose)(_applyCompose.default,
/*#__PURE__*/
(0, _ramda.map)(_ramda.objOf), _splitByDot.default)])));
var _default = unfoldObjectDots;
exports.default = _default;