"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _composeC =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./composeC"));

/**
 * Returns all unique but the first n elements of the given list,
 * or transducer/transformer (or object with a drop method).
 *
 * @func
 * @category List
 *
 * @param {numner} n
 * @param {array} xs Collection
 *
 * @return {array}
 *
 * @example
 *
 *        R_.uniqDrop(2, ["foo", "foo", "foo"]) // ["foo"]
 *
 * @sig Number -> [a] -> [a]
 */
var uniqDrop =
/*#__PURE__*/
(0, _composeC.default)(_ramda.uniq, _ramda.drop);
var _default = uniqDrop;
exports.default = _default;