"use strict";

var _interopRequireDefault =
/*#__PURE__*/
require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _ramda =
/*#__PURE__*/
require("ramda");

var _composeC =
/*#__PURE__*/
_interopRequireDefault(
/*#__PURE__*/
require("./composeC"));

/**
 * Returns unique values that were previously filtered by `filtering`.
 *
 * @func
 * @category List
 *
 * @param {Function} filtering filtering function
 * @param {array} xs Data
 *
 * @return {array} Unique array of values
 *
 * @example
 *
 *        R_.uniqFilter(R_.equalsLength(5), ["hello", "hello", "world"]) // ["hello", "world"]
 *
 * @sig (a -> Boolean) -> [a] -> [a]
 */
var uniqFilter =
/*#__PURE__*/
(0, _composeC.default)(_ramda.uniq, _ramda.filter);
var _default = uniqFilter;
exports.default = _default;